using System;
using System.Runtime.Remoting;

namespace ServiceProvider
{
    public interface IAbstractService
    {
        string FullName { get; }
        string Name { get; }
        bool Started { get; set; }
        Object InitializeLifetimeService();
        ServiceResult Run(IServiceEventListener listener);
        object GetLifetimeService();
        ObjRef CreateObjRef(Type requestedType);
    }
}