
using System;

namespace ServiceProvider
{
    /// <summary>
	/// Summary description for EventListener.
	/// </summary>
	public interface IServiceEventListener
	{
		void ServiceStarted(Service service);
			
		void ServiceFinished(ServiceResult result);

		void LogMessage(string message);

        void LogException(Exception ex);
	}
}
