
using System.Collections;
using System.Xml;

namespace ServiceProvider
{
	public class ServiceReader : System.Configuration.IConfigurationSectionHandler
	{
		public ServiceReader()
		{
		}

		/// <summary>
		/// Create: Reads the service information from the config file.
		/// </summary>
		/// <param name="parent"></param>
		/// <param name="configContext"></param>
		/// <param name="section"></param>
		/// <returns>Instance of ServiceConfigManager class that contains the service info read from config file.</returns>
		public virtual object Create(object parent, object configContext, XmlNode section)
		{
			// Return the resource manager for the section info read from config.
			return new ServiceConfigManager(section.ChildNodes);
		}
	}
}
