

using System;

namespace ServiceProvider
{
	/// <summary>
	/// ServiceStartAttribute
	/// </summary>
	/// <example>
	/// [ServiceProvider.Service]
	/// public class ExampleClass 
	/// {
	///		[ServiceProvider.ServiceStart]
	///		public void SomeMethod() { }
	/// }
	/// </example>
	[AttributeUsage(AttributeTargets.Method, AllowMultiple=false, Inherited=true)]
	public class ServiceStartAttribute : Attribute
	{
	}
}
