using ServiceProvider;

namespace ServiceManager
{
    /// <summary>
    /// ServiceInfo:
    /// </summary>
    public class ServiceInfo : IServiceInfo
    {
        private string m_serviceName = string.Empty;
        private bool m_started = false;
        private IServiceImpl m_service = null;

        public ServiceInfo(string serviceName, bool started, IServiceImpl service)
        {
            m_serviceName = serviceName;
            m_started = started;
            m_service = service;
        }

        public string ServiceName
        {
            get { return m_serviceName; }
            set { m_serviceName = value; }
        }

        public bool Started
        {
            get { return m_started; }
            set { m_started = value; }
        }

        public IServiceImpl Service
        {
            get { return m_service; }
            set { m_service = value; }
        }

    }
}