using System;
using System.Runtime.Remoting;

namespace ServiceProvider
{
    public interface IServiceImpl : IAbstractService
    {
        ServiceResult Run(IServiceEventListener listener);
        bool Stop(ServiceResult serviceResult, IServiceEventListener listener);
        bool Run(ServiceResult serviceResult);
        bool Stop(ServiceResult serviceResult);
        bool AutoStart { get; set; }
        string FullName { get; }
        string Name { get; }
        bool Started { get; set; }
        MarshalByRefObject GetServiceConfigurator();
        Object InitializeLifetimeService();
        object GetLifetimeService();
        ObjRef CreateObjRef(Type requestedType);
    }
}